@import "../utils/variables";

$multipliers: (
  0: 0,
  1: 0.25,
  2: 0.5,
  3: 1,
  4: 1.5,
  5: 3,
  6: 3.5,
  7: 4,
  8: 4.5,
  9: 5,
  10: 5.5,
  11: 6,
  12: 6.5,
  13: 7,
  14: 7.5,
  15: 8,
  16: 8.5,
  17: 9,
  18: 9.5,
  19: 10,
  20: 10.5,
  
);

@each $index, $multiplier in $multipliers {
  .mt-#{$index} {
    margin-top: $spacer * $multiplier;
  }
  .pt-#{$index} {
    padding-top: $spacer * $multiplier;
  }

  .mb-#{$index} {
    margin-bottom: $spacer * $multiplier;
  }
  .pb-#{$index} {
    padding-bottom: $spacer * $multiplier;
  }

  .ml-#{$index} {
    margin-left: $spacer * $multiplier;
  }
  .pl-#{$index} {
    padding-left: $spacer * $multiplier;
  }

  .mr-#{$index} {
    margin-right: $spacer * $multiplier;
  }
  .pr-#{$index} {
    padding-right: $spacer * $multiplier;
  }

  .p-#{$index} {
    padding: $spacer * $multiplier;
  }
}